Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007092 [DCSS] Bug Report tweak N/A 2013-05-27 21:22 2015-09-19 17:33
Reporter Medar View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007092: Confirmation when no targets can be hit is more annoying than useful with cloud spells
Description Having to use capital Z to cast spells like freezing cloud when nothing can be directly hit with it is quite annoying. Often you'll cast it on bunch of monsters and then want to cast an another one in front of the first cloud, but all the monsters are standing in the first cloud so they can't be hit. Or you just want to cast it against monsters that you can't see around a corner.

In my opinion just removing the confirmation for pure cloud spells would be an improvement.

Not exactly a bug I guess, but thought it was worth reporting.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0005548closedMarvinPA nerf cloud spells 
related to 0007093closedwheals Spell targeting can leak information about unseen monsters 
child of 0007071resolvedwheals Numerous issues with Targetting, Tracers, Clouds and Breaths 

-  Notes
(0022904)
galehar (administrator)
2013-05-27 21:43

Maybe it would be better to prevent cloud spells from spreading out of LOS (see 0005548), this would address case 2.
For case 1, I'm not sure I understand the scenario, but I guess you sometimes want to fill some space with clouds even if there's no monster there yet.
(0028903)
wheals (administrator)
2015-04-17 18:20

Fixed by https://github.com/crawl/crawl/commit/3d5dc734227ba4b2309639e6575eb55e657ecb82, [^] IMO.

- Issue History
Date Modified Username Field Change
2013-05-27 21:22 Medar New Issue
2013-05-27 21:23 Medar Relationship added child of 0007071
2013-05-27 21:38 Medar Relationship added related to 0007093
2013-05-27 21:40 galehar Relationship added related to 0005548
2013-05-27 21:43 galehar Note Added: 0022904
2015-04-17 18:20 wheals Note Added: 0028903
2015-04-17 18:20 wheals Status new => resolved
2015-04-17 18:20 wheals Fixed in Branch => 0.16 pre-release branch
2015-04-17 18:20 wheals Resolution open => done
2015-04-17 18:20 wheals Assigned To => wheals
2015-09-19 17:33 Medar Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker